Results 1 to 2 of 2

Thread: Upgrade from Ext JS 4.1 to 5.0 failing

  1. #1
    Sencha User
    Join Date
    Jul 2011
    Posts
    17

    Default Upgrade from Ext JS 4.1 to 5.0 failing

    Hi,

    I am trying to upgrade my application to ExtJS 5 from ExtJS 4.1.1a. I have mentioned in app.js (I have also tried placing it in index.html before laoding extjs)
    Code:
    var Ext = Ext || {};
    Ext.manifest = { // the same content as "app.json"
        compatibility: {
            ext: '4.1.1a'
        }
    }
    Now when I use sencha cmd (5.1.0.26) to compile my app.

    Code:
    <x-sencha-command>
            compile
                --classpath=projectdir/src/main/webapp/app,extjs5.1.0/src,extjs5.1.0/overrides,extjs5.1.0/plugins,extjs5.1.0/examples/ux
                page
                    --strip
                    --in=projectdir/src/main/webapp/index.html
                    --out=src-generated/main/webapp/index.html    	            
    </x-sencha-command>
    It fails with below exception.

    Code:
    BUILD FAILED
    com.sencha.exceptions.ExBuild: com.sencha.exceptions.ExNotFound: Unknown definition for dependency : Ext.app.Application
            at com.sencha.command.compile.PageCommand.execute(PageCommand.java:193)
            at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
            at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
            at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
            at java.lang.reflect.Method.invoke(Method.java:601)
    ....................................
    ....................................
    Caused by: com.sencha.exceptions.ExNotFound: Unknown definition for dependency : Ext.app.Application
            at com.sencha.tools.compiler.sources.SymbolCache.linkClassGraph(SymbolCache.java:184)
            at com.sencha.tools.compiler.sources.SymbolCache.processSymbols(SymbolCache.java:300)
            at com.sencha.tools.compiler.sources.ClassPathScope.getScopeSymbols(ClassPathScope.java:399)
            at com.sencha.tools.compiler.sources.ClassPathScope.getSourceFilesInScope(ClassPathScope.java:385)
            at com.sencha.tools.compiler.sources.ClassPathScope.excludeAll(ClassPathScope.java:546)
            at com.sencha.tools.compiler.sources.ClassPathScope.excludeAll(ClassPathScope.java:544)
            at com.sencha.command.compile.PageCommand.execute(PageCommand.java:178)
    What am I doing wrong over here or missing here ?

    My app.js is still based on 4.1.1.

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985

    Default

    Duplicate:
    http://www.sencha.com/forum/showthread.php?299733

    Please refrain from posting the same issue in multiple forums.

Similar Threads

  1. sencha app upgrade failing
    By pbienick in forum Sencha Cmd
    Replies: 6
    Last Post: 30 Jan 2013, 4:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •